Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.list
Class ListComponentCompiler

    java.lang.Object
      net.sf.jasperreports.components.list.ListComponentCompiler

All Implemented Interfaces:
  ComponentCompiler

    public class ListComponentCompiler

extends java.lang.Object
implements ComponentCompiler

Compile-time handler of `list component` instances.

Version:
  $Id: ListComponentCompiler.java 3514 2010-03-05 11:20:56Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ListComponentCompiler()`

Method Summary
`void` | `collectExpressions(Component component, JRExpressionCollector collector)` Collects report expressions from a component.
`Component` | `toCompiledComponent(Component component, JRBaseObjectFactory baseFactory)` Provides a "compiled" component instance that will be included in the compiled report.
`void` | `verify(Component component, JRVerifier verifier)` Logically verifies a component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListComponentCompiler

    public ListComponentCompiler()

Method Detail

### collectExpressions

    public void collectExpressions(Component component,
                                   JRExpressionCollector collector)

  Description copied from interface: `ComponentCompiler`
  Collects report expressions from a component.

  Specified by:
    `collectExpressions` in interface `ComponentCompiler`
  Parameters:
    `component` - the component
    `collector` - the expression collector

### toCompiledComponent

    public Component toCompiledComponent(Component component,
                                         JRBaseObjectFactory baseFactory)

  Description copied from interface: `ComponentCompiler`
  Provides a "compiled" component instance that will be included in the compiled report.

  Specified by:
    `toCompiledComponent` in interface `ComponentCompiler`
  Parameters:
    `component` - the component from the design report
    `baseFactory` - the factory of base/compiled report elements
  Returns:
    a component instance that is to be included in the compiled report

### verify

    public void verify(Component component,
                       JRVerifier verifier)

  Description copied from interface: `ComponentCompiler`
  Logically verifies a component.

  Specified by:
    `verify` in interface `ComponentCompiler`
  Parameters:
    `component` - the component
    `verifier` - the verifier object, which can be used to raise validation errors
  See Also:
    `JRVerifier.getCurrentComponentElement()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com